Bug 206098 - reports.cgi dies when chosen dataset contains "_"
reports.cgi dies when chosen dataset contains "_"
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
All Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: Bernd Groh
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2006-09-11 23:23 EDT by Andrew Kroeger
Modified: 2014-06-18 04:21 EDT (History)
1 user (show)

See Also:
Fixed In Version: 2.18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-12 10:25:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Andrew Kroeger 2006-09-11 23:23:08 EDT
When performing a time-based report (via reports.cgi), if any of the chosen
datasets (status labels) contains the underscore character, reports.cgi dies
with a message like "Invalid datasets ASSIGNED_TO_PM: at
/var/www/html/bugzilla/reports.cgi line 240."  Choosing all datasets that do not
contain the underscore does not result in the error.

The regex that is testing the chosen datasets is "^[A-Za-z0-9:]+$", which does
not include the underscore character.  With a quick check on the generated HTML,
it looks like the underscore is the only character causing problems.
Comment 1 David Lawrence 2006-09-12 10:25:09 EDT
Thanks, should be fixed now.

Note You need to log in before you can comment on or make changes to this bug.